<?PHP
#
#   FILE:  Release.php
#
#   FUNCTIONS PROVIDED:
#       (none)
#
#   FUNCTIONS EXPECTED:
#       (none)
#
#   Copyright 2010 Internet Scout Project
#   http://scout.wisc.edu/
#

# ----- LOCAL FUNCTIONS ------------------------------------------------------

# ----- EXPORTED FUNCTIONS ---------------------------------------------------

# ----- MAIN -----------------------------------------------------------------

PageTitle("Releasing a Resource...");
CheckAuthorization(PRIV_SYSADMIN, PRIV_COLLECTIONADMIN);

$ResourceId = GetFormValue("ResourceId");

if (Resource::ItemExists($ResourceId))
{
    $Resource = new Resource($ResourceId);
    $AF->SignalEvent("URLCHECKER_RELEASE_RESOURCE", array($Resource));
}

$AF->SuppressHTMLOutput();
$AF->SetJumpToPage("index.php?P=P_UrlChecker_Results");

?>
